Timekit developers

PUT Extending Reservation

Extend existing reservation.

Step-1: Reserve your time

In order to extend a reservation you have to have booking slot reserved. If you do not know how to reserve a slot checkout reserving a time endpoint.

Step-2: Extend the reservation

Once you have reservation_id obtained from v2/bookings/reserve endpoint. Use this reservation_id to extend your reservation. Send new reservation_time along with reservation_id to extend existing reservation.

Endpoint

PUT https://api.timekit.io/v2/bookings/reserve/extend

Parameters

Name In Type Required Default Description
reservation_time body int yes Amount of time in seconds to reserve for given time slot, counted from the time of this request. Minimum 60.
reservation_id body string yes The ID of the reservation returned by v2/bookings/reserve

Request examples

json
{
    "reservation_time": 120,
    "reservation_id": "23fb01b3-28b1-4d1f-9c0d-2f61b8a5743c"
}

Response examples

204

A successful extension returns an empty body.

Last edited 6 October 2026.